org.apache.lucene.search

## Class FuzzyTermsEnum.LevenshteinAutomataAttributeImpl

- java.lang.Object
- - org.apache.lucene.util.AttributeImpl
  - - org.apache.lucene.search.FuzzyTermsEnum.LevenshteinAutomataAttributeImpl

- All Implemented Interfaces:
    Cloneable, FuzzyTermsEnum.LevenshteinAutomataAttribute, Attribute
  Enclosing class:
    FuzzyTermsEnum

      public static final class FuzzyTermsEnum.LevenshteinAutomataAttributeImpl
      extends AttributeImpl
      implements FuzzyTermsEnum.LevenshteinAutomataAttribute

  Stores compiled automata as a list (indexed by edit distance)
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LevenshteinAutomataAttributeImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CompiledAutomaton[]` | `automata()`
    `void` | `clear()` Clears the values in this AttributeImpl and resets it to its default value.
    `void` | `copyTo(AttributeImpl _target)` Copies the values from this Attribute into the passed-in target attribute.
    `boolean` | `equals(Object other)`
    `int` | `hashCode()`
    `void` | `reflectWith(AttributeReflector reflector)` This method is for introspection of attributes, it should simply add the key/values this attribute holds to the given `AttributeReflector`.
    `void` | `setAutomata(CompiledAutomaton[] automata)`

    - ### Methods inherited from class org.apache.lucene.util.AttributeImpl

      `clone, end, reflectAsString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LevenshteinAutomataAttributeImpl

          public LevenshteinAutomataAttributeImpl()

  - ### Method Detail

    - #### automata

          public CompiledAutomaton[] automata()

      Specified by:
        `automata` in interface `FuzzyTermsEnum.LevenshteinAutomataAttribute`

    - #### setAutomata

          public void setAutomata(CompiledAutomaton[] automata)

      Specified by:
        `setAutomata` in interface `FuzzyTermsEnum.LevenshteinAutomataAttribute`

    - #### clear

          public void clear()

      Description copied from class: `AttributeImpl`
      Clears the values in this AttributeImpl and resets it to its default value. If this implementation implements more than one Attribute interface it clears all.
      Specified by:
        `clear` in class `AttributeImpl`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### copyTo

          public void copyTo(AttributeImpl _target)

      Description copied from class: `AttributeImpl`
      Copies the values from this Attribute into the passed-in target attribute. The target implementation must support all the Attributes this implementation supports.
      Specified by:
        `copyTo` in class `AttributeImpl`

    - #### reflectWith

          public void reflectWith(AttributeReflector reflector)

      Description copied from class: `AttributeImpl`
      This method is for introspection of attributes, it should simply add the key/values this attribute holds to the given `AttributeReflector`.

      Implementations look like this (e.g. for a combined attribute implementation):

             public void reflectWith(AttributeReflector reflector) {
               reflector.reflect(CharTermAttribute.class, "term", term());
               reflector.reflect(PositionIncrementAttribute.class, "positionIncrement", getPositionIncrement());
             }

      If you implement this method, make sure that for each invocation, the same set of `Attribute` interfaces and keys are passed to `AttributeReflector.reflect(java.lang.Class<? extends org.apache.lucene.util.Attribute>, java.lang.String, java.lang.Object)` in the same order, but possibly different values. So don't automatically exclude e.g. `null` properties!

      Specified by:
        `reflectWith` in class `AttributeImpl`
      See Also:
        `AttributeImpl.reflectAsString(boolean)`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.